<div class="row">
    <form class="col-sm-12">
        <div class="row">
            <div class="col-sm-6">
                <div class="row language-header">
                    <ui-select ng-model="ctrl.languages.selectedSingle" theme="bootstrap" required="true"
                               ng-change="vm.direction('from', $select.selected.value.code)"
                               style="margin: 19px auto; width: 50%;">
                        <ui-select-match placeholder="Select or search a language in the list...">
                            {{$select.selected.value.name}}
                        </ui-select-match>
                        <ui-select-choices
                            repeat="language.value.name as (key, language) in languages | filter: {value: {name: $select.search}} | orderBy: 'value.name' track by $index">
                            <div class="col-sm-10"
                                 ng-bind-html="''+language.value.name | highlight: $select.search"></div>
                        </ui-select-choices>
                    </ui-select>
                </div>
            </div>
            <div class="col-sm-6">
                <uib-tabset active="toTab" justified="true" type="pills">
                    <uib-tab index="0" heading="Font Style">
                        <text-angular-toolbar name="fontStyleTo"
                                              ta-toolbar="[['h1','h2','h3','h4','h5','h6','p']]"/>
                    </uib-tab>
                    <uib-tab index="1" heading="List" justified="true">
                        <text-angular-toolbar name="listTo" ta-toolbar="[['ul','ol']]"/>
                    </uib-tab>
                    <uib-tab index="2" heading="Font Variant">
                        <text-angular-toolbar name="fontVariantTo"
                                              ta-toolbar="[['bold','italics','underline']]"/>
                    </uib-tab>
                    <uib-tab index="3" heading="Justification">
                        <text-angular-toolbar name="justificationTo"
                                              ta-toolbar="[['justifyLeft','justifyCenter','justifyFull']]"/>
                    </uib-tab>
                    <uib-tab index="4" heading="Language">
                        <ui-select ng-model="ctrl.languages.selectedSingle" theme="bootstrap" required="true"
                                   ng-change="vm.direction('to', $select.selected.value.code); vm.translateAll()"
                                   style="margin: 19px auto; width: 50%;">
                            <ui-select-match placeholder="Select or search a language in the list...">
                                {{$select.selected.value.name}}
                            </ui-select-match>
                            <ui-select-choices
                                repeat="language.value.name as (key, language) in languages | filter: {value: {name: $select.search}} | orderBy: 'value.name' track by $index">
                                <div class="col-sm-10"
                                     ng-bind-html="''+language.value.name | highlight: $select.search"></div>
                            </ui-select-choices>
                        </ui-select>
                    </uib-tab>
                    <uib-tab index="5" heading="Flag">
                        <flag image-url="imageUrl"></flag>
                    </uib-tab>
                </uib-tabset>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6">
                <div class="row">
                    <div class="col-sm-5">
                        <text-angular-toolbar name="countHeader" ta-toolbar="[['wordcount','charcount']]"/>
                    </div>
                    <div class="col-sm-7">
                        <h5 class="text-left">header</h5>
                    </div>
                </div>
                <text-angular ng-model="from.header" ta-target-toolbars="countHeader"></text-angular>
                <div class="row">
                    <div class="col-sm-offset-10">
                        <button class="fa fa-long-arrow-right btn btn-primary header-button"
                                aria-hidden="true"
                                type="button"
                                ng-click="vm.translateSection('header', from.header)"
                                ng-disabled="headerDisabled"></button>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <h5 class="text-center">header</h5>
                <text-angular ng-model="to.header"
                              ta-target-toolbars="fontStyleTo,listTo,fontVariantTo,justificationTo"></text-angular>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6">
                <div class="row">
                    <div class="col-sm-5">
                        <text-angular-toolbar name="countTerms" ta-toolbar="[['wordcount','charcount']]"/>
                    </div>
                    <div class="col-sm-7">
                        <h5 class="text-left">terms</h5>
                    </div>
                </div>
                <text-angular ng-model="from.terms" ta-target-toolbars="countTerms"></text-angular>
                <div class="row">
                    <div class="col-sm-offset-10">
                        <button class="fa fa-long-arrow-right btn btn-primary terms-button"
                                aria-hidden="true"
                                type="button"
                                ng-click="vm.translateSection('terms', from.terms)"
                                ng-disabled="termsDisabled"></button>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <h5 class="text-center">terms</h5>
                <text-angular ng-model="to.terms"
                              ta-target-toolbars="fontStyleTo,listTo,fontVariantTo,justificationTo"></text-angular>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6">
                <div class="row">
                    <div class="col-sm-5">
                        <text-angular-toolbar name="countFacts" ta-toolbar="[['wordcount','charcount']]"/>
                    </div>
                    <div class="col-sm-7">
                        <h5 class="text-left">facts</h5>
                    </div>
                </div>
                <text-angular ng-model="from.facts" ta-target-toolbars="countFacts"></text-angular>
                <div class="row">
                    <div class="col-sm-offset-10">
                        <button class="fa fa-long-arrow-right btn btn-primary facts-button"
                                aria-hidden="true"
                                type="button"
                                ng-click="vm.translateSection('facts', from.facts)"
                                ng-disabled="factsDisabled"></button>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <h5 class="text-center">facts</h5>
                <text-angular ng-model="to.facts"
                              ta-target-toolbars="fontStyleTo,listTo,fontVariantTo,justificationTo"></text-angular>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6">
                <div class="row">
                    <div class="col-sm-5">
                        <text-angular-toolbar name="countAutograph" ta-toolbar="[['wordcount','charcount']]"/>
                    </div>
                    <div class="col-sm-7">
                        <h5 class="text-left">autograph</h5>
                    </div>
                </div>
                <text-angular ng-model="from.autograph" ta-target-toolbars="countAutograph"></text-angular>
                <div class="row">
                    <div class="col-sm-offset-10">
                        <button class="fa fa-long-arrow-right btn btn-primary autograph-button"
                                aria-hidden="true"
                                type="button"
                                ng-click="vm.translateSection('autograph', from.autograph)"
                                ng-disabled="autographDisabled"></button>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="row">
                    <div class="col-sm-12">
                        <h5 class="text-center">autograph</h5>
                    </div>
                </div>
                <text-angular ng-model="to.autograph"
                              ta-target-toolbars="fontStyleTo,listTo,fontVariantTo,justificationTo"></text-angular>
                <div class="row export-button-row">
                    <div class="col-sm-2">
                        <button class="btn btn-primary export" aria-hidden="true"
                                ng-click="vm.openExporter()"
                                ng-disabled="to.code == '' || to.code == null
                                || (to.header == '' && to.terms == '' && to.facts == '' && to.autograph == '')
                                || (to.header == null && to.terms == null && to.facts == null && to.autograph == null)
                                || imageUrl == '' || imageUrl == null">
                            Export
                        </button>
                    </div>
                    <div class="col-sm-2">
                        <button class="btn btn-primary save" aria-hidden="true"
                                ng-click="vm.save()"
                                ng-disabled="to.code == '' || to.code == null
                                || (to.header == '' && to.terms == '' && to.facts == '' && to.autograph == '')
                                || (to.header == null && to.terms == null && to.facts == null && to.autograph == null)
                                || imageUrl == '' || imageUrl == null">
                            Save
                        </button>
                    </div>
                    <div class="col-sm-8">
                        <div class="input-group format">
                            <label for="format" class="label label-primary">
                                Format: </label>
                            <select id="format"
                                    name="format"
                                    required="required"
                                    ng-model="to.format"
                                    ng-init="to.format">
                                <option value="word">Word</option>
                                <option value="pdf">PDF</option>
                                <option value="plain">Plain Text</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
